<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "parent rule: ZOOM[0.0-0.6)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.6"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[0.6-1.0)">
        <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
        <rule name = "ZOOM[0.8 - 1x) zoom_in uw+w">
            <condition name = "ZOOM_RATIO" min = "0.8" max = "1"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
            <rule name = "ZOOM[0.8-1.0) ZOOM_STOP">
                <condition name = "ZOOM_RATIO" min = "0.8" max = "1.0"/>
                <condition name = "ZOOM_STATUS" value = "1"/>
                <outState>
                    <camera name = "ultra_wide" prev = "true"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "ZOOM[1.0 - 2.5) ">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.5"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "ZOOM[2.0 - 2.5x) zoom_in w+t">
            <condition name = "ZOOM_RATIO" min = "2.0" max = "2.5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
            <rule name = "ZOOM[2.0-2.5) zoom_stop">
                <condition name = "ZOOM_STATUS" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "ZOOM[2.5 - 10.1) ">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "10.1"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide"/>
        </outState>
        <rule name = "ZOOM[2.5-10.1) lux_index > 370.0 w+t w true">
            <condition name = "LUX_INDEX" min = "370" max = "9999" hysteresis_min = "50.0"/>
            <outState>
                <camera name = "tele"/>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>
        <rule name = "ZOOM[2.5-10.1x] OBJECT_DISTANCE < 400.0 w+t w true">
            <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>
    <rule name = "ZOOM[10.1 - 100) ">
        <condition name = "ZOOM_RATIO" min = "10.1" max = "100"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
</MultiCameraConfigTable>